# DataExchange
TKSTEPBase
StepBasic

# StepBasic_GroupRelationship Class Reference

Representation of STEP entity GroupRelationship
.

`#include <StepBasic_GroupRelationship.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_GroupRelationship ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_Group)&aRelatingGroup, const Handle(StepBasic_Group)&aRelatedGroup)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT Handle_StepBasic_Group | RelatingGroup () const
| Returns field RelatingGroup .
Standard_EXPORT void | SetRelatingGroup (const Handle(StepBasic_Group)&RelatingGroup)
| Set field RelatingGroup .
Standard_EXPORT Handle_StepBasic_Group | RelatedGroup () const
| Returns field RelatedGroup .
Standard_EXPORT void | SetRelatedGroup (const Handle(StepBasic_Group)&RelatedGroup)
| Set field RelatedGroup .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepBasic_Group | theRelatingGroup
Handle_StepBasic_Group | theRelatedGroup
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_GroupRelationship::StepBasic_GroupRelationship | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_GroupRelationship::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_GroupRelationship::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_GroupRelationship::HasDescription | ( |  | ) | const

Standard_EXPORT void StepBasic_GroupRelationship::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_Group)& | aRelatingGroup,
|  | const Handle(StepBasic_Group)& | aRelatedGroup
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_GroupRelationship::Name | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Group StepBasic_GroupRelationship::RelatedGroup | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Group StepBasic_GroupRelationship::RelatingGroup | ( |  | ) | const

Standard_EXPORT void StepBasic_GroupRelationship::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_GroupRelationship::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepBasic_GroupRelationship::SetRelatedGroup | ( | const Handle(StepBasic_Group)& | RelatedGroup | ) |

Standard_EXPORT void StepBasic_GroupRelationship::SetRelatingGroup | ( | const Handle(StepBasic_Group)& | RelatingGroup | ) |

## Field Documentation

Standard_Boolean StepBasic_GroupRelationship::defDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_GroupRelationship::theDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_GroupRelationship::theName `[private]`

Handle_StepBasic_Group StepBasic_GroupRelationship::theRelatedGroup `[private]`

Handle_StepBasic_Group StepBasic_GroupRelationship::theRelatingGroup `[private]`

The documentation for this class was generated from the following file:

- StepBasic_GroupRelationship.hxx